{% extends 'userena/base_userena.html' %}
{% load i18n %}
{% load url from future %}

{% block title %}{{ profile.user.username }}'s {% trans "profile" %}.{% endblock %}
{% block content_title %}<h2 class="content-title">{{ profile.nick }} {% if profile.badge_name %}({{ profile.badge_name }}){% endif %}</h2>{% endblock %}

{% block content %}

{% comment %}Dirty hack. Will use django-guardian in the future.{% endcomment %}
{% if user.username == profile.user.username %}
<ul id="profile-nav">
    <li class="selected"><a href="{% url 'profile_detail' edition.name user.username %}">{% trans "View profile" %}</a></li>
    <li><a href="{% url 'userena_profile_edit' edition.name user.username %}">{% trans "Edit details" %}</a></li>
</ul>
{% endif %}

<div id="details">
    <img src="{{ profile.get_mugshot_url }}" alt="{% trans "Your mugshot" %}" />
    {% if profile.badge_name %}
    <p><strong>{% trans "Name" %}</strong><br /> {{ profile.badge_name }} ({{ profile.nick }})</p>
    {% endif %}
    {% if profile.website %}
    <p><strong>{% trans "Website" %}</strong><br /> <a href="{{ profile.website }}">{{ profile.website }}</a></p>
    {% endif %}
    {% if profile.location %}
    <p><strong>{% trans "Location" %}</strong><br />{{ profile.location }}</p>
    {% endif %}
    {% if profile.about_me %}
    <p><strong>{% trans "About me" %}</strong><br />{{ profile.about_me }}</p>
    {% endif %}
    <p><a href="{% url 'task_list_detailed' edition.name profile.user.username %}"><strong>{% trans "Tasks" %}</strong></a><br />
    {% if tasks %}
        <ul>
            {% for task in tasks %}
            <li>{{ task.name }}</li>
            {% endfor %}
        </ul>
    </p>
    {% else %}
        {% if profile.badge_name %}
            {{ profile.user.badge_name }}
        {% endif %}
            hasn't signed up for any tasks yet.</p>
        {% endif %}
    <p><strong>{% trans "Signed up" %}</strong><br />{{ profile.signed_up }}</p>
</div>

{% endblock %}
